CREATE TABLE heq_appl_address (
    APPL_ADDRESS_ID            NUMBER(18, 0) ,
    APPLICATION_ID             NUMBER(18, 0)     NOT NULL,
    ADDRESS_TYPE_CODE          VARCHAR2(120)     NOT NULL,
    ADDRESS1                   VARCHAR2(960) ,
    ADDRESS2                   VARCHAR2(960) ,
    ADDRESS3                   VARCHAR2(960) ,
    ADDRESS4                   VARCHAR2(960) ,
    BUILDING                   VARCHAR2(960) ,
    FLOOR_NUMBER               VARCHAR2(160) ,
    ADDRESS_LINES_PHONETIC     VARCHAR2(2240),
    POSTAL_PLUS4_CODE          VARCHAR2(80)  ,
    POSITION                   VARCHAR2(200) ,
    LOCATION_DIRECTIONS        VARCHAR2(2560),
    HOUSE_TYPE                 VARCHAR2(120) ,
    ADDR_ELEMENT_ATTRIBUTE1    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE4    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE5    VARCHAR2(600) ,
    CITY                       VARCHAR2(240) ,
    POSTAL_CODE                VARCHAR2(240) ,
    STATE                      VARCHAR2(240) ,
    PROVINCE                   VARCHAR2(240) ,
    COUNTY                     VARCHAR2(240) ,
    COUNTRY                    VARCHAR2(8)       NOT NULL,
    START_DATE_ACTIVE          DATE          ,
    END_DATE_ACTIVE            DATE          ,
    OVERALL_PRIMARY_FLAG       VARCHAR2(4)   ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY         VARCHAR2(600) ,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ATTRIBUTE16                VARCHAR2(600) ,
    ATTRIBUTE17                VARCHAR2(600) ,
    ATTRIBUTE18                VARCHAR2(600) ,
    ATTRIBUTE19                VARCHAR2(600) ,
    ATTRIBUTE20                VARCHAR2(600) ,
    ATTRIBUTE_DATE1            DATE          ,
    ATTRIBUTE_DATE2            DATE          ,
    ATTRIBUTE_DATE3            DATE          ,
    ATTRIBUTE_DATE4            DATE          ,
    ATTRIBUTE_DATE5            DATE          ,
    ATTRIBUTE_DATE6            DATE          ,
    ATTRIBUTE_DATE7            DATE          ,
    ATTRIBUTE_DATE8            DATE          ,
    ATTRIBUTE_DATE9            DATE          ,
    ATTRIBUTE_DATE10           DATE          ,
    ATTRIBUTE_NUMBER1          NUMBER        ,
    ATTRIBUTE_NUMBER2          NUMBER        ,
    ATTRIBUTE_NUMBER3          NUMBER        ,
    ATTRIBUTE_NUMBER4          NUMBER        ,
    ATTRIBUTE_NUMBER5          NUMBER        ,
    ATTRIBUTE_NUMBER6          NUMBER        ,
    ATTRIBUTE_NUMBER7          NUMBER        ,
    ATTRIBUTE_NUMBER8          NUMBER        ,
    ATTRIBUTE_NUMBER9          NUMBER        ,
    ATTRIBUTE_NUMBER10         NUMBER        ,
    ATTRIBUTE_TIMESTAMP1       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10      TIMESTAMP(6)  ,
    APPL_ADDRESS_ID            NUMBER(18, 0) ,
    APPLICATION_ID             NUMBER(18, 0)     NOT NULL,
    ADDRESS_TYPE_CODE          VARCHAR2(120)     NOT NULL,
    ADDRESS1                   VARCHAR2(960) ,
    ADDRESS2                   VARCHAR2(960) ,
    ADDRESS3                   VARCHAR2(960) ,
    ADDRESS4                   VARCHAR2(960) ,
    BUILDING                   VARCHAR2(960) ,
    FLOOR_NUMBER               VARCHAR2(160) ,
    ADDRESS_LINES_PHONETIC     VARCHAR2(2240),
    POSTAL_PLUS4_CODE          VARCHAR2(80)  ,
    POSITION                   VARCHAR2(200) ,
    LOCATION_DIRECTIONS        VARCHAR2(2560),
    HOUSE_TYPE                 VARCHAR2(120) ,
    ADDR_ELEMENT_ATTRIBUTE1    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE4    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE5    VARCHAR2(600) ,
    CITY                       VARCHAR2(240) ,
    POSTAL_CODE                VARCHAR2(240) ,
    STATE                      VARCHAR2(240) ,
    PROVINCE                   VARCHAR2(240) ,
    COUNTY                     VARCHAR2(240) ,
    COUNTRY                    VARCHAR2(8)       NOT NULL,
    START_DATE_ACTIVE          DATE          ,
    END_DATE_ACTIVE            DATE          ,
    OVERALL_PRIMARY_FLAG       VARCHAR2(4)   ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY         VARCHAR2(600) ,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ATTRIBUTE16                VARCHAR2(600) ,
    ATTRIBUTE17                VARCHAR2(600) ,
    ATTRIBUTE18                VARCHAR2(600) ,
    ATTRIBUTE19                VARCHAR2(600) ,
    ATTRIBUTE20                VARCHAR2(600) ,
    ATTRIBUTE_DATE1            DATE          ,
    ATTRIBUTE_DATE2            DATE          ,
    ATTRIBUTE_DATE3            DATE          ,
    ATTRIBUTE_DATE4            DATE          ,
    ATTRIBUTE_DATE5            DATE          ,
    ATTRIBUTE_DATE6            DATE          ,
    ATTRIBUTE_DATE7            DATE          ,
    ATTRIBUTE_DATE8            DATE          ,
    ATTRIBUTE_DATE9            DATE          ,
    ATTRIBUTE_DATE10           DATE          ,
    ATTRIBUTE_NUMBER1          NUMBER        ,
    ATTRIBUTE_NUMBER2          NUMBER        ,
    ATTRIBUTE_NUMBER3          NUMBER        ,
    ATTRIBUTE_NUMBER4          NUMBER        ,
    ATTRIBUTE_NUMBER5          NUMBER        ,
    ATTRIBUTE_NUMBER6          NUMBER        ,
    ATTRIBUTE_NUMBER7          NUMBER        ,
    ATTRIBUTE_NUMBER8          NUMBER        ,
    ATTRIBUTE_NUMBER9          NUMBER        ,
    ATTRIBUTE_NUMBER10         NUMBER        ,
    ATTRIBUTE_TIMESTAMP1       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9       TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10      TIMESTAMP(6)  ,
    CONSTRAINT pk_heq_appl_address PRIMARY KEY (APPL_ADDRESS_ID, APPL_ADDRESS_ID)
);
